﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SITBS_constraint.sql **/
 EXEC P_ALTERPK 'PK_SITBS_INSURANCEITEM', 'T_SITBS_INSURANCEITEM', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SITBS_INSURITEM_FNUMBER') CREATE INDEX IDX_SITBS_INSURITEM_FNUMBER ON T_SITBS_INSURANCEITEM ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SITBS_INSURITEM_GROUP') CREATE INDEX IDX_SITBS_INSURITEM_GROUP ON T_SITBS_INSURANCEITEM ( FGROUPID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SITBS_INSURITEM_ATTR') CREATE INDEX IDX_SITBS_INSURITEM_ATTR ON T_SITBS_INSURANCEITEM ( FINSURANCETYPEATTRID );


 EXEC P_ALTERPK 'PK_SITBS_INSURANCEITEM_L', 'T_SITBS_INSURANCEITEM_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SITBS_INSURANCEITEM_L') CREATE INDEX IDX_SITBS_INSURANCEITEM_L ON T_SITBS_INSURANCEITEM_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_SITBS_INSURANCEPROP', 'T_SITBS_INSURANCEPROP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SITBS_INSURANCEPROP') CREATE INDEX IDX_SITBS_INSURANCEPROP ON T_SITBS_INSURANCEPROP ( FNUMBER );


 EXEC P_ALTERPK 'PK_SITBS_INSURANCEPROP_L', 'T_SITBS_INSURANCEPROP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SITBS_INSURANCEPROP_L') CREATE INDEX IDX_SITBS_INSURANCEPROP_L ON T_SITBS_INSURANCEPROP_L ( FID ,FLOCALEID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SITBS_constraint.sql **/
