DELETE FROM T_HRCS_FUNCTIONTYPE WHERE FID = 1050;
INSERT INTO T_HRCS_FUNCTIONTYPE(FID,FISSYSPRESET,FDISABLEDATE,FSIMPLENAME,FDESCRIPTION,FMASTERID,FSTATUS,FNUMBER,FNAME,FINDEX,FCREATETIME,FMODIFIERID,FENABLE,FMODIFYTIME,FCREATORID,FDISABLERID) VALUES (1050,'1',NULL,' ',' ',1050,'C','1050_S','个税函数',0,{ts'2022-03-23  00:00:00'},1,'1',{ts'2022-04-12  00:00:00'},1,0);

DELETE FROM T_HRCS_FUNCTIONTYPE_L WHERE FPKID = '2AT4NWSB821F';
INSERT INTO T_HRCS_FUNCTIONTYPE_L(FID,FPKID,FLOCALEID,FSIMPLENAME,FDESCRIPTION,FNAME) VALUES (1050,'2AT4NWSB821F','zh_CN',' ',' ','个税函数');
DELETE FROM T_HRCS_FUNCTIONTYPE_L WHERE FPKID = '2AT4NWSB821G';
INSERT INTO T_HRCS_FUNCTIONTYPE_L(FID,FPKID,FLOCALEID,FSIMPLENAME,FDESCRIPTION,FNAME) VALUES (1050,'2AT4NWSB821G','zh_TW',' ',' ','個稅函數');

DELETE FROM T_HRCS_FUNCTIONTYPEHRBF WHERE FPKID = 1397255074253689856;
INSERT INTO T_HRCS_FUNCTIONTYPEHRBF(FID,FBASEDATAID,FPKID) VALUES (1050,1070,1397255074253689856);

DELETE FROM T_HRCS_FUNCTION WHERE FID = 1382445910801266688;
INSERT INTO T_HRCS_FUNCTION(FID,FISSYSPRESET,FEXAMPLE,FDISABLEDATE,FDEFINE,FDESCRIPTION,FMASTERID,FSTATUS,FFUNCEXP,FNUMBER,FNAME,FGROUPID,FUNIQUECODE,FCREATETIME,FMODIFIERID,FENABLE,FMODIFYTIME,FFUNCDATATYPE,FCREATORID,FDISABLERID) VALUES (1382445910801266688,'1',' ',NULL,'getCumulativeDeductionExpenses','返回累计减除费用值。内置公式逻辑：5000*[min(个税期间所属年月的月份,离职日期的月份) -max(任职受雇日期的年月,个税期间年度的1月)的月份 + 1]。如离职日期的年度小于当前个税期间的年度，则返回0。',1382445910801266688,'C',' ','105001_S','取累计减除费用',1050,'1382445910801266688',{ts'2022-03-23  00:00:00'},1,'1',{ts'2022-04-28  00:00:00'},'BigDecimal',1,0);

DELETE FROM T_HRCS_FUNCTION_L WHERE FPKID = '2AT51P4HPG14';
INSERT INTO T_HRCS_FUNCTION_L(FID,FPKID,FLOCALEID,FEXAMPLE,FDESCRIPTION,FNAME) VALUES (1382445910801266688,'2AT51P4HPG14','zh_TW',' ','返回累計減除費用值。內置公式邏輯：5000*[min(個稅期間所屬年月的月份,離職日期的月份) -max(任職受雇日期的年月,個稅期間年度的1月)的月份 + 1]。如離職日期的年度小於當前個稅期間的年度，則返回0。','取累計減除費用');
DELETE FROM T_HRCS_FUNCTION_L WHERE FPKID = '2AT51P4HPG13';
INSERT INTO T_HRCS_FUNCTION_L(FID,FPKID,FLOCALEID,FEXAMPLE,FDESCRIPTION,FNAME) VALUES (1382445910801266688,'2AT51P4HPG13','zh_CN',' ','返回累计减除费用值。内置公式逻辑：5000*[min(个税期间所属年月的月份,离职日期的月份) -max(任职受雇日期的年月,个税期间年度的1月)的月份 + 1]。如离职日期的年度小于当前个税期间的年度，则返回0。','取累计减除费用');

DELETE FROM T_HRCS_FUNCTIONPARAMS WHERE FENTRYID = 1382445910826432512;
INSERT INTO T_HRCS_FUNCTIONPARAMS(FID,FPARAMDESC,FENTRYID,FSEQ,FPARAMDATATYPE,FPARAMNAME) VALUES (1382445910801266688,'任职受雇日期',1382445910826432512,1,'Date','employmentDate');
DELETE FROM T_HRCS_FUNCTIONPARAMS WHERE FENTRYID = 1382445910826432514;
INSERT INTO T_HRCS_FUNCTIONPARAMS(FID,FPARAMDESC,FENTRYID,FSEQ,FPARAMDATATYPE,FPARAMNAME) VALUES (1382445910801266688,'个税期间所属年月',1382445910826432514,3,'Date','periodDate');
DELETE FROM T_HRCS_FUNCTIONPARAMS WHERE FENTRYID = 1382445910826432513;
INSERT INTO T_HRCS_FUNCTIONPARAMS(FID,FPARAMDESC,FENTRYID,FSEQ,FPARAMDATATYPE,FPARAMNAME) VALUES (1382445910801266688,'离职日期',1382445910826432513,2,'Date','quitDate');
DELETE FROM T_HRCS_FUNCTIONPARAMS WHERE FENTRYID = 1399314678852627456;
INSERT INTO T_HRCS_FUNCTIONPARAMS(FID,FPARAMDESC,FENTRYID,FSEQ,FPARAMDATATYPE,FPARAMNAME) VALUES (1382445910801266688,'入职年度就业情形',1399314678852627456,4,'String','empSituation');

DELETE FROM T_HRCS_FUNCTIONPARAMS_L WHERE FPKID = '2AT51P4HPG15';
INSERT INTO T_HRCS_FUNCTIONPARAMS_L(FPKID,FLOCALEID,FPARAMDESC,FENTRYID,FPARAMNAME) VALUES ('2AT51P4HPG15','zh_CN','任职受雇日期',1382445910826432512,'employmentDate');
DELETE FROM T_HRCS_FUNCTIONPARAMS_L WHERE FPKID = '2AT51P4HPG16';
INSERT INTO T_HRCS_FUNCTIONPARAMS_L(FPKID,FLOCALEID,FPARAMDESC,FENTRYID,FPARAMNAME) VALUES ('2AT51P4HPG16','zh_TW','任職受雇日期',1382445910826432512,'employmentDate');
DELETE FROM T_HRCS_FUNCTIONPARAMS_L WHERE FPKID = '2AT51P4HPG19';
INSERT INTO T_HRCS_FUNCTIONPARAMS_L(FPKID,FLOCALEID,FPARAMDESC,FENTRYID,FPARAMNAME) VALUES ('2AT51P4HPG19','zh_CN','个税期间所属年月',1382445910826432514,'periodDate');
DELETE FROM T_HRCS_FUNCTIONPARAMS_L WHERE FPKID = '2AT51P4HPG1=';
INSERT INTO T_HRCS_FUNCTIONPARAMS_L(FPKID,FLOCALEID,FPARAMDESC,FENTRYID,FPARAMNAME) VALUES ('2AT51P4HPG1=','zh_TW','個稅期間所屬年月',1382445910826432514,'periodDate');
DELETE FROM T_HRCS_FUNCTIONPARAMS_L WHERE FPKID = '2AT51P4HPG17';
INSERT INTO T_HRCS_FUNCTIONPARAMS_L(FPKID,FLOCALEID,FPARAMDESC,FENTRYID,FPARAMNAME) VALUES ('2AT51P4HPG17','zh_CN','离职日期',1382445910826432513,'quitDate');
DELETE FROM T_HRCS_FUNCTIONPARAMS_L WHERE FPKID = '2AT51P4HPG18';
INSERT INTO T_HRCS_FUNCTIONPARAMS_L(FPKID,FLOCALEID,FPARAMDESC,FENTRYID,FPARAMNAME) VALUES ('2AT51P4HPG18','zh_TW','離職日期',1382445910826432513,'quitDate');
DELETE FROM T_HRCS_FUNCTIONPARAMS_L WHERE FPKID = '2CVZY3OU25IY';
INSERT INTO T_HRCS_FUNCTIONPARAMS_L(FPKID,FLOCALEID,FPARAMDESC,FENTRYID,FPARAMNAME) VALUES ('2CVZY3OU25IY','zh_CN','入职年度就业情形',1399314678852627456,'empSituation');
DELETE FROM T_HRCS_FUNCTIONPARAMS_L WHERE FPKID = '2CVZY3OU25IZ';
INSERT INTO T_HRCS_FUNCTIONPARAMS_L(FPKID,FLOCALEID,FPARAMDESC,FENTRYID,FPARAMNAME) VALUES ('2CVZY3OU25IZ','zh_TW','入職年度就業情形',1399314678852627456,'empSituation');

DELETE FROM T_HRCS_FUNCTIONIMPORT WHERE FENTRYID = 1382445910826432515;
INSERT INTO T_HRCS_FUNCTIONIMPORT(FID,FENTRYID,FSEQ,FIMPORTPACKAGEDESC,FIMPORTCODE) VALUES (1382445910801266688,1382445910826432515,1,' ','kd.bos.dataentity.resource.ResManager');
DELETE FROM T_HRCS_FUNCTIONIMPORT WHERE FENTRYID = 1382445910826432516;
INSERT INTO T_HRCS_FUNCTIONIMPORT(FID,FENTRYID,FSEQ,FIMPORTPACKAGEDESC,FIMPORTCODE) VALUES (1382445910801266688,1382445910826432516,2,' ','kd.bos.exception.KDBizException');
DELETE FROM T_HRCS_FUNCTIONIMPORT WHERE FENTRYID = 1382445910826432517;
INSERT INTO T_HRCS_FUNCTIONIMPORT(FID,FENTRYID,FSEQ,FIMPORTPACKAGEDESC,FIMPORTCODE) VALUES (1382445910801266688,1382445910826432517,3,' ','java.math.BigDecimal');
DELETE FROM T_HRCS_FUNCTIONIMPORT WHERE FENTRYID = 1382445910826432518;
INSERT INTO T_HRCS_FUNCTIONIMPORT(FID,FENTRYID,FSEQ,FIMPORTPACKAGEDESC,FIMPORTCODE) VALUES (1382445910801266688,1382445910826432518,4,' ','java.util.Calendar');
DELETE FROM T_HRCS_FUNCTIONIMPORT WHERE FENTRYID = 1382445910826432519;
INSERT INTO T_HRCS_FUNCTIONIMPORT(FID,FENTRYID,FSEQ,FIMPORTPACKAGEDESC,FIMPORTCODE) VALUES (1382445910801266688,1382445910826432519,5,' ','java.util.Date');
