-- 个税期间数据升级
-- 1.将国家地区为中国并且非预置的期间类型下的期间结束日期和申报结束日期的时分秒改为23:59:59
--UPDATE t_sitbs_taxperiod SET fenddate = DATEADD(fenddate, 23*60*60+59*60+59), fdeclareenddate = DATEADD(fdeclareenddate, 23*60*60+59*60+59)
--where fid in (select fid from t_sitbs_taxperiodprg where fcountryid = 1000001 and fid != 1463640374944791552);

-- 2.将国家地区为中国的期间类型下的所有可用期间依赖的期间类型改成预置的期间类型
UPDATE t_sitbs_taxperiod
SET fid = 1463640374944791552
where fid in
(select fid from t_sitbs_taxperiodprg where fcountryid = 1000001 and fenable = '1');

-- 3.删除被处理的个税期间类型的多语言数据
delete from t_sitbs_taxperiodprg_l
where fid in (select fid from t_sitbs_taxperiodprg where fid != 1463640374944791552 and fcountryid = 1000001 and fenable = '1');

-- 4.删除国家地区为中国并为可用的其他期间类型
delete from t_sitbs_taxperiodprg
where fid != 1463640374944791552 and fcountryid = 1000001 and fenable = '1';

-- -- 5.个税任务上的期间结束日期和申报结束日期的时分秒改为23:59:59
-- update t_itc_taxtask set ftaxenddate = DATEADD(ftaxenddate, 23*60*60+59*60+59), fdeclareenddate = DATEADD(fdeclareenddate, 23*60*60+59*60+59)
-- where ftaxperiodid in (select fentryid from t_sitbs_taxperiod where fid in (select fid from t_sitbs_taxperiodprg where fcountryid = 1000001 and fid != 1463640374944791552));
