﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SITBS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SITBS_ACCUMULATOR') 
 CREATE TABLE T_SITBS_ACCUMULATOR (
FID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FENABLE VARCHAR(2) DEFAULT '1' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT 'C' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FINDEX INT DEFAULT 0 NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FCOUNTRYTYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
FCOUNTRYID BIGINT DEFAULT 0 NOT NULL,
FTAXCATEGORIESID BIGINT DEFAULT 0 NOT NULL,
FDATATYPEID BIGINT DEFAULT 0 NOT NULL,
FSTARTDATETYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FSTARTDAY INT DEFAULT 0 NOT NULL,
FBSEDSTRATEGY VARCHAR(2) DEFAULT ' ' NOT NULL,
FACCDIMENSION VARCHAR(2) DEFAULT ' ' NOT NULL,
FDATAPRECISIONID BIGINT DEFAULT 0 NOT NULL,
FDATAROUNDID BIGINT DEFAULT 0 NOT NULL,
FUPDATESTRATEGY VARCHAR(2) DEFAULT ' ' NOT NULL,
FPERIODTYPE VARCHAR(2) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SITBS_ACCUMULATOR_L') 
 CREATE TABLE T_SITBS_ACCUMULATOR_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SITBS_CUMULATEMEMBER') 
 CREATE TABLE T_SITBS_CUMULATEMEMBER (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FTAXITEMID BIGINT DEFAULT 0 NOT NULL,
FACCMENSTARTDATE DATETIME,
FACCMEMENDDATE DATETIME,
FOPERATOR VARCHAR(2) DEFAULT ' ' NOT NULL,
FACCPERCENTTYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
FPERCENTFIXVAL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNIQUECODE VARCHAR(255) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SITBS_table.sql **/
