EXEC P_ALTERPK 'PK_SITBS_TAXCALFORMULA', 'T_SITBS_TAXCALFORMULA', 'FID', '1';
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TAXCALFORMULA_FNUMBER') CREATE INDEX IDX_TAXCALFORMULA_FNUMBER ON T_SITBS_TAXCALFORMULA ( FNUMBER );
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TAXCALFORMULA_TCATEGORYID') CREATE INDEX IDX_TAXCALFORMULA_TCATEGORYID ON T_SITBS_TAXCALFORMULA ( FTAXCATEGORYID );
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TAXCALFORMULA_FSTATUS') CREATE INDEX IDX_TAXCALFORMULA_FSTATUS ON T_SITBS_TAXCALFORMULA ( FSTATUS );

EXEC P_ALTERPK 'PK_SITBS_TAXCALFORMULA_A', 'T_SITBS_TAXCALFORMULA_A', 'FID', '1';
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SITBS_FORMULA_CODE') CREATE INDEX IDX_SITBS_FORMULA_CODE ON T_SITBS_TAXCALFORMULA_A ( FRESULTITEMUNIQUECODE );

EXEC P_ALTERPK 'PK_SITBS_TAXCALFORMULA_L', 'T_SITBS_TAXCALFORMULA_L', 'FPKID', '1';
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SITBS_TAXCALFORMULA_L') CREATE INDEX IDX_SITBS_TAXCALFORMULA_L ON T_SITBS_TAXCALFORMULA_L ( FID ,FLOCALEID );