/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SITBS_constraint.sql **/
EXEC P_ALTERPK 'PK_SITBS_SINSURSTD', 'T_SITBS_SINSURSTD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SITBS_SINSURSTD_FNUMBER') CREATE INDEX IDX_SITBS_SINSURSTD_FNUMBER ON T_SITBS_SINSURSTD ( FNUMBER );


EXEC P_ALTERPK 'PK_SITBS_SINSURSTD_L', 'T_SITBS_SINSURSTD_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SITBS_SINSURSTD_L') CREATE INDEX IDX_SITBS_SINSURSTD_L ON T_SITBS_SINSURSTD_L ( FID ,FLOCALEID );


EXEC P_ALTERPK 'PK_SITBS_SINSURSTDCFG', 'T_SITBS_SINSURSTDCFG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SITBS_SINSURSTDCFG_FTYPEID') CREATE INDEX IDX_SITBS_SINSURSTDCFG_FTYPEID ON T_SITBS_SINSURSTDCFG ( FINSURTYPEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SITBS_SINSURSTDCFG_FNUMBER') CREATE INDEX IDX_SITBS_SINSURSTDCFG_FNUMBER ON T_SITBS_SINSURSTDCFG ( FNUMBER );


EXEC P_ALTERPK 'PK_SITBS_SINSURSTDCFG_L', 'T_SITBS_SINSURSTDCFG_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SITBS_SINSURSTDCFG_L') CREATE INDEX IDX_SITBS_SINSURSTDCFG_L ON T_SITBS_SINSURSTDCFG_L ( FID ,FLOCALEID );


EXEC P_ALTERPK 'PK_SITBS_SINSURSTDCFGDENT_L', 'T_SITBS_SINSURSTDCFGDENT_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SITBS_SINSURSTDCFGDENT_L') CREATE INDEX IDX_SITBS_SINSURSTDCFGDENT_L ON T_SITBS_SINSURSTDCFGDENT_L ( FENTRYID ,FLOCALEID );


EXEC P_ALTERPK 'PK_SITBS_SINSURSTDCFGRENT', 'T_SITBS_SINSURSTDCFGRENT', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SITBS_SINSURSTDCFGRENT') CREATE INDEX IDX_SITBS_SINSURSTDCFGRENT ON T_SITBS_SINSURSTDCFGRENT ( FID );


EXEC P_ALTERPK 'PK_SITBS_SINSURSTDRENT', 'T_SITBS_SINSURSTDRENT', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SITBS_STDDIMANDITEM') CREATE INDEX IDX_SITBS_STDDIMANDITEM ON T_SITBS_SINSURSTDRENT ( FREGISTERTYPEID ,FCATEGORYID ,FINSURITEMID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SITBS_SINSURSTDRENT') CREATE INDEX IDX_SITBS_SINSURSTDRENT ON T_SITBS_SINSURSTDRENT ( FENTRYID );


EXEC P_ALTERPK 'PK_SITBS_REGISTERTYPE', 'T_SITBS_REGISTERTYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SITBS_REGISTERTYPE_FNUMBER') CREATE INDEX IDX_SITBS_REGISTERTYPE_FNUMBER ON T_SITBS_REGISTERTYPE ( FNUMBER );


EXEC P_ALTERPK 'PK_SITBS_REGISTERTYPE_L', 'T_SITBS_REGISTERTYPE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SITBS_REGISTERTYPE_L') CREATE INDEX IDX_SITBS_REGISTERTYPE_L ON T_SITBS_REGISTERTYPE_L ( FID ,FLOCALEID );


EXEC P_ALTERPK 'PK_SITBS_SINSURSTDCFGDENT', 'T_SITBS_SINSURSTDCFGDENT', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SITBS_SINSURSTDCFGDENT') CREATE INDEX IDX_SITBS_SINSURSTDCFGDENT ON T_SITBS_SINSURSTDCFGDENT ( FID );


EXEC P_ALTERPK 'PK_SITBS_SINSURSTDENT', 'T_SITBS_SINSURSTDENT', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SITBS_INSURTYPEID') CREATE INDEX IDX_SITBS_INSURTYPEID ON T_SITBS_SINSURSTDENT ( FINSURTYPEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SITBS_SINSURSTDENT') CREATE INDEX IDX_SITBS_SINSURSTDENT ON T_SITBS_SINSURSTDENT ( FID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SITBS_constraint.sql **/
